package com.bonus.sgzb.material.service;

import com.bonus.sgzb.common.core.web.domain.AjaxResult;
import com.bonus.sgzb.material.domain.AgreementInfo;

import java.util.List;

/**
 * @author lsun
 */
public interface AgreementInfoService {

    /**
     *查询
     * @param bean
     * @return AgreementInfo
     */
    List<AgreementInfo> getAgreementInfoAll(AgreementInfo bean);

    /**
     *查询
     * @return
     */
    List<AgreementInfo> getUnitList();

    /**
     *查询
     * @return
     */

    List<AgreementInfo> getProjectList();

    /**
     * 添加
     * @param bean
     * @return
     */
    int add(AgreementInfo bean);

    /**
     * 修改
     * @param bean
     * @return
     */
    int update(AgreementInfo bean);

    /**
     * 根据id删除
     * @param bean
     * @return
     */
    AjaxResult deleteByIds(AgreementInfo bean);

    /**
     * 查询
     * @param bean
     * @return
     */
    AgreementInfo getAgreementInfoId(AgreementInfo bean);

    /**
     * 协议管理导出
     * @param agreementInfo
     * @return
     */
    List<AgreementInfo> exportList(AgreementInfo agreementInfo);

    List<AgreementInfo> getAllAgreementId();
}
